# How This API Document Is Organized

This API (Application Programming Interface) document has pages corresponding to the items in the navigation bar, described as follows.

## All Libraries

The All Libraries link opens the front page of this set of API documents. It provides a list of all the package libraries being documented with a summary for each. SAS Business Intelligence Javadoc comprises a set of independently generated document sets, each corresponding to a functional area. The All Libraries page contains menu-bar links that relate to the global set of documents, including a grand index. When you click on a link from this page, you are taken to the entry page for a sub-area. From this new page the menu-bar links relate to the area you are in. You can always use the links in the top-left hand frame to navigate to other SAS BI package libraries, or click on the All Libraries link to return to the global entry page.

## GrandIndex

The Grand Index link opens the first page of an aggregated index that spans all of the SAS package libraries. There is also an Index for each individual package library.

## Package

Each package has a page that contains a list of its classes and interfaces, with a summary for each. This page can contain four categories:

- Interfaces (italic)
- Classes
- Exceptions
- Errors

## Class/Interface

Each class, interface, inner class and inner interface has its own separate page. Each of these pages has three sections consisting of a class/interface description, summary tables, and detailed member descriptions:

- Class inheritance diagram
- Direct Subclasses
- All Known Subinterfaces
- All Known Implementing Classes
- Class/interface declaration
- Class/interface description

- Inner Class Summary
- Field Summary
- Constructor Summary
- Method Summary

- Field Detail
- Constructor Detail
- Method Detail

Each summary entry contains the first sentence from the detailed description for that item. The summary entries are alphabetical, while the detailed descriptions are in the order they appear in the source code. This preserves the logical groupings established by the programmer.

## Use

Each documented package, class and interface has its own Use page. This page describes what packages, classes, methods, constructors and fields use any part of the given class or package. Given a class or interface A, its Use page includes subclasses of A, fields declared as A, methods that return A, and methods and constructors with parameters of type A. You can access this page by first going to the package, class or interface, then clicking on the "Use" link in the navigation bar.

## Tree (Class Hierarchy)

There is a Class Tree page for all packages, plus a hierarchy for each package. Each hierarchy page contains a list of classes and a list of interfaces. The classes are organized by inheritance structure starting with java.lang.Object. The interfaces do not inherit from java.lang.Object.

- When viewing the Overview page, clicking on "Tree" displays the hierarchy for all packages.
- When viewing a particular package, class or interface page, clicking "Tree" displays the hierarchy for only that package.

## Deprecated API

The Deprecated API page lists all of the API that have been deprecated. A deprecated API is not recommended for use, generally due to improvements, and a replacement API is usually given. Deprecated APIs may be removed in future implementations.

## Index

The Index contains an alphabetic list of all classes, interfaces, constructors, methods, and fields.